Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Locked

Is there a way to detect the minimum version of flash required for FireFox and Safari?

New Here ,
Mar 29, 2017 Mar 29, 2017

Copy link to clipboard

Copied

Context:

Since FireFox and Safari do not have embedded flash support and rely on flash being installed, it is possible for flash to be out of date and for the browsers to block flash because it does not meet their minimum requirements.

We currently support FireFox versions v45+, and Safari v9+, and I currently do not see a way of being able to systematically detect if the flash version installed meets the minimum requirements or not?

Questions:

If I can detect the current flash version via navigator.plugins, is there a way to dynamically interpret that the version is too low in FF or Safari for the current browser version?

If not, and we have to maintain some elaborate lookup table, matching browser versions to minimum supported flash versions, is the information of what the minimum versions are for FF and Safari versions, available anywhere in the community? If not, can that initiative be started here, since it would benefit from crowd sourcing?

Example below is from Safari (FireFox does the same thing):

outdated_flash.pngyosemite_safari_download_flash.png

Views

686

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Mar 29, 2017 Mar 29, 2017

Copy link to clipboard

Copied

Hi,

The browser vendor, not Adobe, is the one who determines when to set a version of Flash Player as out-of-date.  What you can do is compare the Flash version in navigator.plugins to the latest version of Flash using the masterversion.xml file we make available and update with every release of Flash.  If the version reported in navigator.plugins is lower than the version listed in masterversion.xml file then you can prompt the user to update Flash Player, or if you have a current distribution license you can deploy Flash Player directly.  Information on licensing and deploying Flash Player is available in the Flash Player Administrator's Guide.  Also, the Flash Player normal release cadence is the second Tuesday of the month.

--

Maria

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Mar 29, 2017 Mar 29, 2017

Copy link to clipboard

Copied

Hi Maria,

Thanks for the quick response, and the useful links. I'm aware that the browser is the one that dictates that minimum version, however, using the latest version as litmus might be too conservative, because the browser vendors are likely more lenient. I will pose this question to FireFox and Safari, and I'll share my response if I receive any insights.

If anyone in the community can chime in on this, or share their strategy on this topic, that would be great.

@Maria I have an unrelated question about your version numbers -- I see two different versions for a given release, for example 11.2.202.644 and 23.0.0.207.​ Why are these two different, and when detecting a minimum version on the browser, what version should I be using?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Mar 29, 2017 Mar 29, 2017

Copy link to clipboard

Copied

11.2 was Linux only.  We've since move linux to the same version as Mac and Windows.  More information is available at Beta News – Flash Player NPAPI for Linux

I can't tell you what minimum version you should detect for a browser.   Any number of versions will work with the latest browsers, but a browser vendor can block old versions at any time.  The best advise I can give you is to ALWAYS run the latest version of Flash Player.  This ensures you always have the latest, most secure, version.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Mar 29, 2017 Mar 29, 2017

Copy link to clipboard

Copied

Thanks Maria! I was confused about what the divergence of the version was based on.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Mar 29, 2017 Mar 29, 2017

Copy link to clipboard

Copied

You're welcome.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Mar 30, 2017 Mar 30, 2017

Copy link to clipboard

Copied

Maria, is there a JSON version of masterversion.xml ? Also, I just want to confirm that is a long-term supported flash endpoint and it is safe for us to use in our production environment?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Mar 30, 2017 Mar 30, 2017

Copy link to clipboard

Copied

Hi,

The masterversion.xml file is only available in XML format.  To my knowledge we plan to support this long-term.  It came to be in part due to customer requests.

--

Maria

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
May 04, 2017 May 04, 2017

Copy link to clipboard

Copied

LATEST

@m_vargas I'm looking for a way to get the major minor and release numbers for browser flash versions. In particular for Safari, and Chrome, because it looks like I can get on FF, Edge and IE. Below is an example from FireFox, and you can see I have access to the version. However in Safari, only have access to the major version. But its not enough, because if browsers begin blocking version 24.0.0.139 (example version), I have no way of letting users know they need to update their flash versions because I can only access the major versions. I'm not worried about Chrome because its self managed, but Safari would fall into that criteria.

FireFox Flash Version:

Screen Shot 2017-05-04 at 2.24.06 PM.png

Missing version details in Safari:

Screen Shot 2017-05-04 at 2.27.01 PM.png

We are going to use that REST endpoint to compare the users browser version with the latest Adobe version. Any help or guidance on this would be appreciated.

Best,

Amal Hussein

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines